XDF(1)                         The Exquisite DF                         XDF(1)



[1mNAME[0m
       xdf - exquisite `df'

       (disk free - report file system disk space usage)

[1mSYNOPSIS[0m
       xdf [-options]

[1mDESCRIPTION[0m
       xdf works as [4mdf[24m(1), reporting file system disk space usage, with a
       twist.

       xdf allows flexible selection of informations, and a choice of output
       formats and layouts.

[1mOPTIONS[0m
        -h : prepend host name
        -v : show volume name
        -s : show volume size
        -u : show used space
        -a : show available space
        -c : show capacity ('% full', or '% used')
        -f : show '% free' instead (opposite of -c)
        -5 : show sizes in 512-byte-sector units
        -K : show sizes in KiB
        -M : show sizes in MiB
        -G : show sizes in GiB
        -O : show only 'operating system' (eg. /usr) filesystems
        -R : show only 'regular' ('non-O.S.') filesystems
        -N : show nfs filesystems
        -A : frame output in ANSI line chars (*1)
        -b : frame output in HTML format (*1)
        -F : frame output in ASCII chars (*2)
        -E : ignore 'echo' volumes (eg. cygwin)
        -B : output informations in HTML format (*2)
        -C : output informations in CSV format (*2)
        -I : show host informations
        -S : show total sizes and capacity average
        -H : show header
        -V : show version
        -L : legacy df layout
        -t : use 'static' (eg. fstab) filesystems list
        -n <pathname> [ -n ... ] : process just these
        -d 'delimiter' : CSV 'alternate field separator'
        -? : show usage help

        (*1) '-A' and '-b' are mutually exclusive
        (*2) '-B' , '-F' and '-C' are mutually exclusive

[1mUSAGE[0m
       Without any options, xdf lists all 'interesting' mountpoints for the
       filesystems on the host (cdrom, tmpfs, nfs filesystems are not listed
       by default).

       Using '-A' triggers '-F'.

       Using '-b' triggers '-B'.

[1mFILES[0m
        /etc/filesystems               AIX file systems description file
        /etc/mtab                      AIX mounted file systems table
        /etc/fstab                     HP-UX file systems description file
        /etc/mnttab                    HP-UX mounted file systems table
        /etc/fstab                     Linux file systems description file
        /etc/mtab                      Linux mounted file systems table
        /etc/vfstab                    Solaris file systems description file
        /etc/mnttab                    Solaris mounted file systems table

[1mEXAMPLES[0m
       Example 1: No arguments

        $ xdf
        /
        /usr
        /var
        $

       Example 2: Legacy [4mdf[24m(1) compatibility mode

        $ xdf -L
        volume      size KiB   used KiB   free KiB cap. mounted
        /dev/sda5   98427412   87991108    5436476  89% /
        /dev/sdb1   15417244   10401036    4233056  67% /media/avrb16lxr
        /dev/sdc1   15396088    8259352    6354640  53% /media/avrb16sdcb
        $

       Example 3: Same as above, plus total sizes and capacity average

        $ xdf -L -S
        volume      size KiB   used KiB   free KiB cap. mounted
        /dev/sda5   98427412   87991108    5436476  89% /
        /dev/sdb1   15417244   10401036    4233056  67% /media/avrb16lxr
        /dev/sdc1   15396088    8259352    6354640  53% /media/avrb16sdcb
        total      129240744  106651504   16024164  69% average
        $

       Example 4: Show just the capacity (%full), average, with no header and
       a frame (ascii chars)

        $ xdf -c -S -F
        /------v--------------------------\
        |  89% | /                        |
        |  67% | /media/avrb16lxr         |
        |  53% | /media/avrb16sdcb        |
        >------+--------------------------<
        |  69% | average                  |
        \------^--------------------------/
        $

[1mENVIRONMENT[0m
        TERM           The value of the TERM environment variable may affect
                       the output of `xdf' when the '-A' flag is used.

[1mEXIT STATUS[0m
       The following exit values are returned:

        0                      No errors of any kind.

        >0                     An error occurred.

[1mDIAGNOSTICS[0m
        No permission          Search permission is denied
                               for a component of the path prefix
                               of a given <pathname>.

[1mNOTES[0m
       Ordinarily, xdf does not require `root' privileges or SUID file
       permissions.

[1mCAVEATS[0m
       Mixing the mutually exclusive flags does not prevent the execution of
       `xdf', but the results are not predictable nor dependable.

[1mBUGS[0m
       Using the '-n' flag with the current version prevents identification of
       the file system's device volume name.

       Not all o.s. versions and releases are supported as of the current
       version.

[1mAUTHOR[0m
       The original and current versions of `xdf' consist of code and
       documentation written by:

               Alexandre (*) Botao
               < botao@unix.sh >
               < botao@linux.sh >
               < alexandre@botao.org >
               ( http://botao.org )
               (*) V.R.

[1mCOPYRIGHT[0m
       Copyright 2010 Alexandre Botao

[1mSEE ALSO[0m
       [4mdf[24m(1), [4mmount[24m(1), [4muname[24m(1).

[1mLICENSE[0m
       `xdf' is free open source software (foss), and is licensed under the
       Apache License, Version 2.0 (the "License");

       You may not use this file except in compliance with the License.  You
       may obtain a copy of the License at

               http://www.apache.org/licenses/LICENSE-2.0

       Additionally, a copy of the License is distributed along with `xdf' ;

       Otherwise you can write to :

        The Apache Software Foundation
        1901 Munsey Drive, Forest Hill, MD 21050-2747 U.S.A.

[1mSUPPORT[0m
        Commercial support is NOT available for `xdf'.
        Suggestions and/or bug reports may be sent by email.

[1mDISCLAIMER[0m
       Unless required by applicable law or agreed to in writing, `xdf' is
       distributed on an ``AS IS'' basis, WITHOUT WARRANTIES OR CONDITIONS OF
       ANY KIND, either express or implied.  See the License for the specific
       language governing permissions and limitations under the License.



AVRB                              2010-12-28                            XDF(1)
